GNU bug report logs - #53289
Removing QtWebKit

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Leo Famulari <leo@HIDDEN>; dated Sat, 15 Jan 2022 19:35:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added blocking bug(s) 53630 Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'guix' to 'guix-patches'. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added blocking bug(s) 53531 Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added blocking bug(s) 53512 Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added blocking bug(s) 53495 Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 24 Jan 2022 08:13:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 03:13:37 2022
Received: from localhost ([127.0.0.1]:41939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBuTp-0007dm-66
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 03:13:37 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:37717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nBuTo-0007dX-BF
 for 53289 <at> debbugs.gnu.org; Mon, 24 Jan 2022 03:13:36 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 8650C3200907;
 Mon, 24 Jan 2022 03:13:30 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Mon, 24 Jan 2022 03:13:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=qhMLdg8MqYYOGl5PZFA4hbhKM78
 Hwu3BdrGJNiPnyZI=; b=Mi6VB6A6wG3jebRrpTgFLD1uq/c9oaT/tpytSMUUAaf
 +/m7a2ayH553MdJsk6JjTHsywUjFRSOtN6/5HbxfxmkhPkKtN2vBjcUYSaOO0g8s
 JWiR9o5CfaM2PX64B7VMrsl8zK6IQ89EwnAVu7NTINXnaYTcNTu4JH14AbKPLnmQ
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=qhMLdg8MqYYOGl5PZ
 FA4hbhKM78Hwu3BdrGJNiPnyZI=; b=gixoxUzvsEXtY7T6+BoCeHFOasjxW/dBk
 4ha08hxS9B7UW3u+cKjYUlGtdjLeWW2mbA/tAxXo8PLhRlaHlSEs9TQEeI2aMp9f
 x3B5xtC17TZvliOPbnprEQu6U1FCoqdJnGP2CY7/0m7MfrPpvYvpxe0XNrVWboLF
 +0TloZsZ01yAJ7hHelwlTgIyThKAVhopdPVs8I2L/efo7vlsaN3UN2qRHNrWXvAd
 xhO2r+EOYiPkEDnlz7Vk11EkU1Cday2YyLvaIzRiRMSN14cnDySHflssIjIUksJz
 3TOR71VkoOo9KUD7Oeuae6FA+GwY6/4gsknU4XBpAVi73ErbSOXLQ==
X-ME-Sender: <xms:qV_uYcuCngsqs4Os3NAqlgpGoVstUuHD6U-HW_-_uYvZuHRNoTlnig>
 <xme:qV_uYZcuGkEHJtnaLblbE0EDnwrFtUc2ivXLDVzL44Gapt-dcM1IWbfjHHyaSujOe
 UZ1VBEqG7Lm1k_RAQ>
X-ME-Received: <xmr:qV_uYXzYlRqRZ7gK0vS7W7NV45290S3ZkCVJOdjuj4fYWb-aAuco8no451QonPVD5Z7DUiNxas9mTdwhZeJiy4RhSQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrvdehgdduudelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesghdtre
 ertddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepvdevgeekudeivdeileduveekuefgue
 euleehtdffgefftdefkeevleffueefudeknecuffhomhgrihhnpehgnhhurdhorhhgnecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfh
 grmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:qV_uYfMAgFGDg7Yq19tLDGoED0vxK4ZmO60O-O3dSj_bTMcTugC_Cg>
 <xmx:qV_uYc99ooowl8-q7FsTu2olhzhm-5e-4ArS2LGiM16Wk6g7MZBITQ>
 <xmx:qV_uYXUn8gGQMRVRHSK_8-chAAw66qAXcz-bjYo5BIKAd_Tn8mawPQ>
 <xmx:ql_uYREJ__QnAVdFZyafknTdsvsgFCPbNwx-B4fTtS_SZZKCvEpXNg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 24 Jan 2022 03:13:29 -0500 (EST)
Date: Mon, 24 Jan 2022 03:13:27 -0500
From: Leo Famulari <leo@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: bug#53289: [PATCH] gnu: Remove Qt WebKit.
Message-ID: <Ye5fpziKkAuXn+GP@HIDDEN>
References: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
 <YeMwomu4KtrDqPGB@HIDDEN> <87czknhg6l.fsf@kitej>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="I/zlfOVc7BYw4n3h"
Content-Disposition: inline
In-Reply-To: <87czknhg6l.fsf@kitej>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53289
Cc: 53289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--I/zlfOVc7BYw4n3h
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Jan 19, 2022 at 03:54:46PM +0000, Guillaume Le Vaillant wrote:
> Leo Famulari <leo@HIDDEN> skribis:
>=20
> > New failures:
> > [...]
> > freecad
>=20
> For freecad, the qtwebkit input can be replaced by qtdeclarative,
> qtwebchannel and qtwebengine.

Thanks, I sent a patch as <https://issues.guix.gnu.org/53495>.

--I/zlfOVc7BYw4n3h
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmHuX6AACgkQJkb6MLrK
fwhVFRAA4FD+TQqacrBF2wdgwGfFBbvkLXqXxGuUP7JHaH+ho7m9YpmpUw8L10FV
d5oo1KA+uVoQ+KBmgk3cu1R4c8hExvgM8/7ZePIUolIWPenRS2+KZ0zW9Tnxk7j1
hGVsp49XufzmA2YpuHAyzk3FMNUHUBnfa3yFq3wb+a3SL3uqfy9Ihs6s1b8d5LNd
aKjPyaS0QeMkAiLz+43rvjCtfwsRyS7fmOHpE0LL2kvzctocIEgZROdlDIf0D2Iu
+T46qOjfOSZ3PZGJ/RIGhW9QjKN6i7D5fmo13OAZUeP/mCjjxVOCv8zgk4Qf7eIB
vSHwYDB4rh2IpOgpmKRfCCsB8jjxXAsxHKT16E6iAnlEegvTywIGItHxswHDCnkQ
DeLeOcDCYHAw34AnSHA03KKPOZjCXIJPdYkWOBKUoZZGTG+G8bMegLvEMfYYW4Rc
HSQJWam8IcTMHXrFxfZw1rARbJxQn4mMPWJwzR/7+DhnsQLmZG6C0iMuH+oOSkmS
vGQy11AQedvSsbIavbyf4gcS2kSZBGDlYoBayWXc2/dwiwwckVuB7R+jhLufT0In
ejQp2yzNW0wm8u2EFrHwmHZe/zt8dhWjyod93u5WgneAl7DH+8erCMRtki/bCr06
kBmoQs6jd3Ei1ohz9qzjKcswOtEBrK6hP8/S9LgTnSMQyCcxZck=
=JAA1
-----END PGP SIGNATURE-----

--I/zlfOVc7BYw4n3h--




Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 23 Jan 2022 19:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 14:17:08 2022
Received: from localhost ([127.0.0.1]:41310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBiMO-0005Mf-JV
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2022 14:17:08 -0500
Received: from flashner.co.il ([178.62.234.194]:52482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1nBiMN-0005M7-9H
 for 53289 <at> debbugs.gnu.org; Sun, 23 Jan 2022 14:17:07 -0500
Received: from localhost (unknown [31.210.177.79])
 by flashner.co.il (Postfix) with ESMTPSA id E7B404008B;
 Sun, 23 Jan 2022 19:17:00 +0000 (UTC)
Date: Sun, 23 Jan 2022 21:16:18 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#53289: Removing QtWebKit
Message-ID: <Ye2pgv2rqPy8FPVx@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Leo Famulari <leo@HIDDEN>, 53289 <at> debbugs.gnu.org
References: <YeMhwEDXzccaSI+a@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="B6yBZnfcJJIUcb67"
Content-Disposition: inline
In-Reply-To: <YeMhwEDXzccaSI+a@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53289
Cc: 53289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--B6yBZnfcJJIUcb67
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Jan 15, 2022 at 02:34:24PM -0500, Leo Famulari wrote:
> We need to remove QtWebKit from the distro.
>=20

I'll be happy to see it removed.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--B6yBZnfcJJIUcb67
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmHtqX4ACgkQQarn3Mo9
g1EwSA//bIv3UvAvj4OOUXWEQP1lqniwhLXH8bPh8cgBYs3i4ehL4juLGumr8b3O
gF86GIEMJChf6vN25lx5JbdSms98+ZoFE4Nt2y7rTkCaCcexjElF1y9Oicp/O2J0
jAKoCi5lvyI4f0C12Tfz5O/pndLher/uM5NTyMAzemaL07URSRsH6U6rKaiIvVG1
1o4yXcAFGVzEpEksCgkvTBkTKVTtIeKdB4IWZH6LKgcJ0BlLbEVhggR2ir7p7Fi6
7/4Zuotr7LmQW0abZA/OuWy43VIa+U7xJlUYfYuu3n68FVuE425c1xldp8jqHeBM
yqihzBjhUziDZR6IH2cVAXTkI1hLLF6UK8OQ4RSuYbmtQt7U/V+wA6EkmH1IYVJH
2MKC9U03NrFPrg/jkajFTeFWAvILFx7BDeiFe0aX73uVaQffI/tiInn8i1a8nmny
sx6WdTKiC/LZedCOIAbSY0VS3H5mcjUIg8rQULi3Onihu5ogFEZAVJPx9XT4T8Au
ojH92z6e0BdxbSj1BJdvPTtOxgoTM+pEGPjUhLXN6IE6yBrMoqLmUHB5bqp1ywnF
kAoW1ueeIKSknNxr/tDbxP0IIIy4pIKRlKdSWRaueQax7bf3LXhtC/oo1pezIa67
GwwS0e+wCYGFrt869qZ8Y4fG3BAsRFTcZpFcf9+7uUdbkwle+kg=
=jvy1
-----END PGP SIGNATURE-----

--B6yBZnfcJJIUcb67--




Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 19 Jan 2022 15:57:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 19 10:57:17 2022
Received: from localhost ([127.0.0.1]:55315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nADKn-0006qn-6d
	for submit <at> debbugs.gnu.org; Wed, 19 Jan 2022 10:57:17 -0500
Received: from mout01.posteo.de ([185.67.36.65]:47613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1nADKl-0006qV-F4
 for 53289 <at> debbugs.gnu.org; Wed, 19 Jan 2022 10:57:16 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 32118240027
 for <53289 <at> debbugs.gnu.org>; Wed, 19 Jan 2022 16:57:08 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1642607829; bh=h9uYAHw96t+7IDSCYmx0Se0qwE+dCxFdbQdY8Ly9UNs=;
 h=From:To:Cc:Subject:Date:From;
 b=KxGZ0zJvZFsbl5flvjTJQVQFuuLUntrWUwmxc3OBP4Kk8WJ5BbByo1Fl61bPf/k5j
 lE6t6wx9wBQpO33ugcCgptuRPsAbYNIwTrcwRe4HIsffpWCqr+KkqDgCtVhKOrokQ9
 ceY0FL15DS67s6yccSzQZMjBx4P9NScXtsb6+YaNWwpP9S0YkQLDfDJsw24wM2wlqq
 PgsmLQUDgCPXCcv9TGmvMtRARsKcjnbDBRqJp2GclQgXBmPhdXuTIWohIf+oj6b8pY
 YlUmwZ1mpKdHNAG2FIOnPacBCuY7lizN1BO0+kmqx8A0nQSkf4SCNWJTYmpq1ywhlD
 LhCI23KXvz+rA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Jf9J35d5Kz6tpX;
 Wed, 19 Jan 2022 16:57:07 +0100 (CET)
References: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
 <YeMwomu4KtrDqPGB@HIDDEN>
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#53289: [PATCH] gnu: Remove Qt WebKit.
Date: Wed, 19 Jan 2022 15:54:46 +0000
In-reply-to: <YeMwomu4KtrDqPGB@HIDDEN>
Message-ID: <87czknhg6l.fsf@kitej>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53289
Cc: 53289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Leo Famulari <leo@HIDDEN> skribis:

> New failures:
> [...]
> freecad

For freecad, the qtwebkit input can be replaced by qtdeclarative,
qtwebchannel and qtwebengine.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCYeg00g8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j+5FAEAo79EYKfWqvazdmGNho+F1rqIMEINHyfUD8AG
yPs1JyYA/Rim2NHR8Gky+SVEqKaewA+NUlh8eZmfkuo7pw2S2sAs
=LxNj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 19 Jan 2022 12:30:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 19 07:30:25 2022
Received: from localhost ([127.0.0.1]:52567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAA6b-000422-2D
	for submit <at> debbugs.gnu.org; Wed, 19 Jan 2022 07:30:25 -0500
Received: from mout02.posteo.de ([185.67.36.66]:34835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1nAA6X-0003pp-K6
 for 53289 <at> debbugs.gnu.org; Wed, 19 Jan 2022 07:30:23 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 559F1240101
 for <53289 <at> debbugs.gnu.org>; Wed, 19 Jan 2022 13:30:15 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1642595415; bh=Tx8dj8eqpLgQUKcNmELADg4LZe3DtNovjQ4yLJ/8pHI=;
 h=From:To:Cc:Subject:Date:From;
 b=I1TSRvhOvzdd9jAn2AWfiIIqUq022GEIhWMEkSBc/nn7BnzSwocmVkm36EONi1Muz
 rmhACf58pyfX3c47Ipo6j1LlNRKgi5qmLPYE18uK23bzXlXyV+2FhIE2N0k7LqCojx
 MJ0dstsrWanqRtC81awTJiE77ihWW1AXJXEUfh7+NSfBGNVjUCBRnInv6Z8Fax8+cA
 Z1fEuKeZbiKZ1CRD5IuUbDFqSRaAi2otgHFayU1Yfer+ydIrs8MJZnlduRTt9te6T8
 DnlxFElURVQ/MTuJ4ZV2ugsAGDrkUNQSUIE1Oj09CQEWotLrJ5wE8aM6IPg62MRgTU
 8ezTDD7zdGdBQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Jf4jL0mH2z9rxP;
 Wed, 19 Jan 2022 13:30:13 +0100 (CET)
References: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
 <YeMwomu4KtrDqPGB@HIDDEN>
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#53289: [PATCH] gnu: Remove Qt WebKit.
Date: Wed, 19 Jan 2022 12:19:01 +0000
In-reply-to: <YeMwomu4KtrDqPGB@HIDDEN>
Message-ID: <87h79zhprf.fsf@kitej>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53289
Cc: 53289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Leo Famulari <leo@HIDDEN> skribis:

> I applied the patch and tried building all packages that are changed by
> the it.
>
> New failures:
> qgis
> [...]

For qgis, adding "-DWITH_QTWEBKIT=NO" to 'configure-flags' should work,
but I don't know what features would then be unavailable in the
application.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCYegEVQ8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j8lWAD/cYKCvNoHLQujg1hs687yUsMr0IVU6WWilwGe
MFttw2QBAInhOsKlStOE8k5/pKVskqrs5QA4hMdjdNb8irq9l2y5
=zElE
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 15 Jan 2022 20:38:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 15:38:07 2022
Received: from localhost ([127.0.0.1]:42022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8poM-0003Tx-Tk
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 15:38:07 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:39231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n8poI-0003Sw-2n
 for 53289 <at> debbugs.gnu.org; Sat, 15 Jan 2022 15:38:05 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A29065C00DB;
 Sat, 15 Jan 2022 15:37:56 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sat, 15 Jan 2022 15:37:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=+9vfyxouoTrSY0KhVDNkQw4B
 643FjUeeeAIS/ZUA6HQ=; b=oOvhZieY0fuDLdarsunuBlEGd2B/Doarc+800iuB
 vNuIz5QK6UE2rWAzdNKkUxtCgLoEQbBegrlxtEIBIjc+Bd7+pfaJdjv7FaGqP7SF
 MOqj+ceYeZOclX6q5FiHdvJmjgro3L740z91f7U4n8qJorJYk7lRlh4tvgBO6DKb
 T6o=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=+9vfyx
 ouoTrSY0KhVDNkQw4B643FjUeeeAIS/ZUA6HQ=; b=CqbIGcbvl4FxiqU6R2GQmG
 psYJd8HN6htRxgbomVsTr5q5hQXl+oIY2+w58kaulHPk2ifqP++UpAYd3s5uUn1M
 OgGimTu88H50wpeeQhvCjOFRZwd2ZfeogKwvnX6e0xjx5+pxu4DPqZjmfmGpln4o
 FIZfZqBFpXF04lQgy520SnhwgU0QG7n+iCAflG7NDm8xGZlJ+VAX7rC27PBCtMlH
 Y0XTB4yTNN5sBm1tv8YzDWlUfmql8lCQSAr02gKX2ky8BgRp9fVjjWqK8ujYafsZ
 K1yNN6Z+tDeOSe8YsVveIyB7Lw37nkz0u0hBqOZRJLNvyfTv1nsnlNnD35NZhXdg
 ==
X-ME-Sender: <xms:pDDjYSo1UH2rWPTACc7zGH4TzZ08nx5Imt03pQF2XP-oJKGsXA-uZA>
 <xme:pDDjYQp7mCHFrUsHCWNYoXk9_XEpyw7VKHmGyZaoqU8tYZvtjuTZ4hnzKaC65FbKS
 iuFZlk3OGrg6zLziA>
X-ME-Received: <xmr:pDDjYXO3D128mjewlGbvXVct37pwhrcCZlyFU0Z0KsUfEM-JcWnB8zjnqdc2ALrHlu8fBOC8OI7hVwaqDr_MFbe61w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdejgddufeelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecuvehluhhsthgvrhfuihiivgeptdenucfr
 rghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:pDDjYR7aaduj4Ump1FJ9y3kP2ftY40n4b_fNdgVj4lXWfhbitMf58w>
 <xmx:pDDjYR6X9NmP1gtKAVfLot3vfF7CCCgSaG9y5s-qsKkH5nnWdElFTA>
 <xmx:pDDjYRjod2FJZZmBAvrC3WuLJMUADJXP2c5icr5sF6sjg8a73vlmyA>
 <xmx:pDDjYSVFSXdiiSNLygk72TDSFUVmh6jfn6JLu-HA5O7_ZoIZEO-0fg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <53289 <at> debbugs.gnu.org>; Sat, 15 Jan 2022 15:37:56 -0500 (EST)
Date: Sat, 15 Jan 2022 15:37:54 -0500
From: Leo Famulari <leo@HIDDEN>
To: 53289 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Remove Qt WebKit.
Message-ID: <YeMwomu4KtrDqPGB@HIDDEN>
References: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53289
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Jan 15, 2022 at 02:38:48PM -0500, Leo Famulari wrote:
> Preliminary untested patch!

I applied the patch and tried building all packages that are changed by
the it.

New failures:
qgis
quiterss
kdevelop
psi
qsyncthingtray
freecad

Still succeeding (there could be some run-time breakage, however):
shotcut
texmaker
nextcloud-client
gnuradio
dream
kdenlive
libksysguard
k3b
choqok
ktorrent
sonnet
kdesignerplugin
fcitx5-qt
python-pyqt

Still failing (we should remove these packages now if they don't build):
luminance-hdr
aseba
kmessagelib




Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at 53289 <at> debbugs.gnu.org:


Received: (at 53289) by debbugs.gnu.org; 15 Jan 2022 19:39:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:39:09 2022
Received: from localhost ([127.0.0.1]:41902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8otA-00082C-KZ
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:39:09 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n8ot7-00081v-MV
 for 53289 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:38:59 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 8BCCF5C00DE;
 Sat, 15 Jan 2022 14:38:52 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Sat, 15 Jan 2022 14:38:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=from:to:subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=mesmtp; bh=NmjubyyP6ifny2mYFf4CPmh
 F6uUwQvJHVS1MbQ/iBsw=; b=odI3Avn/RYPz252t42Kmzs0QFzQTOPT4S5qTRC1
 6eJAsHawv+eARu9vs6B7Bsm6XshNEhYH0bTZZaUMiu2qq/pRxLTwmB4DM+oiCckg
 brY6ztgR+3U8TdGUfnOH7VyPv2rWJX3MaqJ43KnQriNMAfmeOPrfCHaScAMYRDk+
 G3Uk=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=Nmjuby
 yP6ifny2mYFf4CPmhF6uUwQvJHVS1MbQ/iBsw=; b=HDZj0x8HfO11gqJ/OVvUlj
 SAJcPCqPy0l2XspDSmrcb/71c7ahSw1Trcf8snRVj0uLv9UUYUaPgGHSvqHtgmsH
 17y4wBiZBiHhMxxH5cmi2AiZmOo5KQ9KwiQkScPlN2ngfwOYjgMYbgMyINgiaQ5C
 qJJtUkNGxMhjRRO6RCyp0xftLKSSojhKaCZzXG2TCvgu98WvVdEUy3HAcjgacIYg
 H0uyKDax1hnArzZoNMgOXZDcXm0WIUXHPcaBvp8t84jwWx1EcU8aiQm1LbTtcj3E
 g9gI4iN3HtJEz3Z6MHwE6vwQ7abyyakUwXpQSD23oYD/ZCiHXiRJaTOIEIa7YVIA
 ==
X-ME-Sender: <xms:zCLjYWD4vxv6S9ef3CtnPl6xFfamC7CDzl2R2rFGtl33HLfeELCKOw>
 <xme:zCLjYQgdWcpR1g5fPOa6aj1XIYq-uXSYPztXNqveBpAoFx5Qh-9J3nqG058CTvnU0
 VeZeklFXOJ5u3an9A>
X-ME-Received: <xmr:zCLjYZnkxuLpmKfRFl9YLntCnQBGkinUz-0ydC3RxqMqTtTT3b6N55xRONtpHeBQC81Teutz-OoDGLmB6OQjENVMpZJ6>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdejgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofggtgfgsehtkeertd
 ertdejnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpedtieeiuedtiefhffeguefhvefhteeuue
 efleevveefudetgeeuveelteevkeevheenucffohhmrghinhepkhguvgdrohhrghdpghgv
 nhhtohhordhorhhgpdhgihhthhhusgdrtghomhdpghhnuhdrohhrghdpfigvsghkihhtrd
 horhhgpdhquhhithgvrhhsshdrohhrghdpgihmudhmrghthhdrnhgvthenucevlhhushht
 vghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrg
 hrihdrnhgrmhgv
X-ME-Proxy: <xmx:zCLjYUw3APCsMatqS7RO60POO4u-ZzBm1fEg3FBfryut7mZfez40mw>
 <xmx:zCLjYbSXGYBQn31B-kisc5xNc0eq2kzdQXEi_qJsVJEAuM6hFuShGA>
 <xmx:zCLjYfbrB_zcbaNfJ_VHiTbx4e9t_8c2m4u0RChHG4LlrGhmZEgUGA>
 <xmx:zCLjYePocAinD-C_oppdS33RZ4B0bLyqPnzgIaIR2mrWoae3TpglmQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <53289 <at> debbugs.gnu.org>; Sat, 15 Jan 2022 14:38:52 -0500 (EST)
From: Leo Famulari <leo@HIDDEN>
To: 53289 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Remove Qt WebKit.
Date: Sat, 15 Jan 2022 14:38:48 -0500
Message-Id: <29f3e5c424cb9e746771e546a267014b98f9a607.1642275527.git.leo@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53289
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Preliminary untested patch!

* gnu/packages/qt.scm (qtwebkit): Remove variable.
(python-pyqt)[inputs]: Remove qtwebkit.
(python-pyqt-without-qtwebkit): Remove variable.
* gnu/packages/kde-frameworks.scm (kdewebkit): Remove variable.

* gnu/packages/engineering.scm (freecad)[inputs]: Remove qtwebkit.
* gnu/packages/fcitx5.scm (fcitx5-qt)[inputs]: Remove qtwebkit.
* gnu/packages/geo.scm (qgis): Remove qtwebkit.
* gnu/packages/image-viewers.scm (luminance-hdr)[inputs]: Remove qtwebkit.
* gnu/packages/kde-frameworks.scm (kdesignerplugin)[inputs]: Remove qtwebkit and kdewebkit.
* gnu/packages/kde-internet.scm (sonnet)[inputs]: Remove qtwebkit.
(ktorrent)[inputs]: Remove qtwebkit and kdewebkit.
(choqok)[inputs]: Remove kdewebkit.
* gnu/packages/kde-multimedia.scm (k3b)[inputs]: Remove qtwebkit.
* gnu/packages/kde-pim.scm (kmessagelib)[inputs]: Remove qtwebkit.
* gnu/packages/kde-pim.scm (libksysguard)[inputs]: Remove qtwebkit.
* gnu/packages/kde.scm (kdenlive)[inputs]: Likewise.
(kdevelop)[inputs]: Likewise.
* gnu/packages/messaging.scm (psi)[inputs]: Remove qtwebkit.
* gnu/packages/radio.scm (dream)[inputs]: Remove qtwebkit.
(gnuradio): Replace python-pyqt-without-qtwebkit with python-pyqt.
* gnu/packages/robotics.scm (aseba)[inputs]: Remove qtwebkit.
* gnu/packages/sync.scm (nextcloud-client)[inputs]: Remove qtwebkit.
(qsyncthingtray)[inputs]: Remove qtwebkit.
* gnu/packages/syndication.scm (quiterss)[inputs]: Remove qtwebkit.
* gnu/packages/tex.scm (texmaker)[inputs]: Remove qtwebkit.
* gnu/packages/video.scm (shotcut)[inputs]: Remove qtwebkit.
* gnu/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch,
  gnu/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch,
gnu/packages/patches/qtwebkit-fix-building-with-icu-68.patch,
gnu/packages/patches/qtwebkit-fix-building-with-python-3.9.patch,
gnu/packages/patches/qtwebkit-pbutils-include.patch: Remove files.
* gnu/local.mk (dist_patch_DATA): Remove them.
---
 gnu/local.mk                                  |   5 -
 gnu/packages/engineering.scm                  |   1 -
 gnu/packages/fcitx5.scm                       |   3 +-
 gnu/packages/geo.scm                          |   1 -
 gnu/packages/image-viewers.scm                |   1 -
 gnu/packages/kde-frameworks.scm               |  34 ----
 gnu/packages/kde-internet.scm                 |   4 -
 gnu/packages/kde-multimedia.scm               |   1 -
 gnu/packages/kde-pim.scm                      |   1 -
 gnu/packages/kde-plasma.scm                   |   1 -
 gnu/packages/kde.scm                          |   2 -
 gnu/packages/messaging.scm                    |   1 -
 ...qtwebkit-fix-building-with-bison-3.7.patch |  54 -------
 ...qtwebkit-fix-building-with-glib-2.68.patch |  21 ---
 .../qtwebkit-fix-building-with-icu-68.patch   | 152 ------------------
 ...twebkit-fix-building-with-python-3.9.patch |  35 ----
 .../patches/qtwebkit-pbutils-include.patch    |  15 --
 gnu/packages/qt.scm                           |  93 -----------
 gnu/packages/radio.scm                        |   2 -
 gnu/packages/robotics.scm                     |   1 -
 gnu/packages/sync.scm                         |   3 +-
 gnu/packages/syndication.scm                  |   2 +-
 gnu/packages/tex.scm                          |   2 +-
 gnu/packages/video.scm                        |   1 -
 24 files changed, 4 insertions(+), 432 deletions(-)
 delete mode 100644 gnu/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch
 delete mode 100644 gnu/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch
 delete mode 100644 gnu/packages/patches/qtwebkit-fix-building-with-icu-68.patch
 delete mode 100644 gnu/packages/patches/qtwebkit-fix-building-with-python-3.9.patch
 delete mode 100644 gnu/packages/patches/qtwebkit-pbutils-include.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 0eed20e7af..ea0bde5313 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1731,11 +1731,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/qtscript-disable-tests.patch		\
   %D%/packages/patches/quagga-reproducible-build.patch          \
   %D%/packages/patches/quickswitch-fix-dmenu-check.patch	\
-  %D%/packages/patches/qtwebkit-pbutils-include.patch		\
-  %D%/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch \
-  %D%/packages/patches/qtwebkit-fix-building-with-python-3.9.patch	\
-  %D%/packages/patches/qtwebkit-fix-building-with-icu-68.patch	\
-  %D%/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch	\
   %D%/packages/patches/ragel-char-signedness.patch		\
   %D%/packages/patches/randomjungle-disable-static-build.patch	\
   %D%/packages/patches/range-v3-build-with-gcc10.patch	\
diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index d27ad677bb..ac695a2c73 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -2485,7 +2485,6 @@ (define-public freecad
            python-wrapper
            qtbase-5
            qtsvg
-           qtwebkit
            qtx11extras
            qtxmlpatterns
            sqlite
diff --git a/gnu/packages/fcitx5.scm b/gnu/packages/fcitx5.scm
index 92fc0ea171..82a0192359 100644
--- a/gnu/packages/fcitx5.scm
+++ b/gnu/packages/fcitx5.scm
@@ -304,8 +304,7 @@ (define-public fcitx5-chinese-addons
        ("libpthread-stubs" ,libpthread-stubs)
        ("opencc" ,opencc)
        ("qtbase" ,qtbase-5)
-       ("fcitx5-qt" ,fcitx5-qt)
-       ("qtwebkit" ,qtwebkit)))
+       ("fcitx5-qt" ,fcitx5-qt)))
     (native-inputs
      (list extra-cmake-modules pkg-config))
     (outputs '("out" "gui"))
diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index fbe63ce184..225f5e2c2b 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -2485,7 +2485,6 @@ (define-public qgis
            qtlocation
            qtserialport
            qtsvg
-           qtwebkit
            qwt
            ;;("saga" ,saga)
            sqlite))
diff --git a/gnu/packages/image-viewers.scm b/gnu/packages/image-viewers.scm
index b61a79370d..2077e462dc 100644
--- a/gnu/packages/image-viewers.scm
+++ b/gnu/packages/image-viewers.scm
@@ -607,7 +607,6 @@ (define-public luminance-hdr
      `(("qtbase" ,qtbase-5)
        ("qtdeclarative" ,qtdeclarative)
        ("qtsvg" ,qtsvg)
-       ("qtwebkit" ,qtwebkit)
        ("boost" ,boost)
        ("eigen" ,eigen)
        ;; ("gtest" ,gtest)
diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 65937f8970..c49e9c5602 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -2359,10 +2359,8 @@ (define-public kdesignerplugin
            kio
            kplotting
            ktextwidgets
-           kdewebkit
            kwidgetsaddons
            kxmlgui
-           qtwebkit
            sonnet))
     (home-page "https://community.kde.org/Frameworks")
     (synopsis "Integrating KDE frameworks widgets with Qt Designer")
@@ -2399,38 +2397,6 @@ (define-public kdesu
 with su and ssh respectively.")
     (license license:lgpl2.1+)))
 
-(define-public kdewebkit
-  (package
-    (name "kdewebkit")
-    (version "5.70.0")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "mirror://kde/stable/frameworks/"
-                    (version-major+minor version) "/portingAids/"
-                    name "-" version ".tar.xz"))
-              (sha256
-               (base32
-                "0y9ja3znkvzdbjfs91dwr4cmvl9fk97zpz2lkf0f9zhm2nw6q008"))))
-    (build-system cmake-build-system)
-    (native-inputs
-     (list extra-cmake-modules qttools))
-    (inputs
-     (list kconfig
-           kcoreaddons
-           kio
-           kjobwidgets
-           kparts
-           kservice
-           kwallet
-           qtbase-5
-           qtwebkit))
-    (home-page "https://community.kde.org/Frameworks")
-    (synopsis "KDE Integration for QtWebKit")
-    (description "This library provides KDE integration of the HTML rendering
-engine WebKit via QtWebKit.")
-    (license license:lgpl2.1+)))
-
 (define-public kemoticons
   (package
     (name "kemoticons")
diff --git a/gnu/packages/kde-internet.scm b/gnu/packages/kde-internet.scm
index 4e08bd5337..3e1cc45d88 100644
--- a/gnu/packages/kde-internet.scm
+++ b/gnu/packages/kde-internet.scm
@@ -70,7 +70,6 @@ (define-public choqok
            kcmutils
            kconfigwidgets
            kcoreaddons
-           kdewebkit
            kemoticons
            kglobalaccel
            kguiaddons
@@ -90,7 +89,6 @@ (define-public choqok
            qoauth
            qtbase-5
            qtnetworkauth
-           qtwebkit
            sonnet))
     (home-page "https://kde.org/applications/internet/org.kde.choqok")
     (synopsis "Micro-Blogging Client")
@@ -385,7 +383,6 @@ (define-public ktorrent
            kcoreaddons
            kcrash
            kdbusaddons
-           kdewebkit
            kdnssd
            ki18n
            kiconthemes
@@ -405,7 +402,6 @@ (define-public ktorrent
            phonon
            qtbase-5
            qtscript
-           qtwebkit
            solid
            syndication
            taglib))
diff --git a/gnu/packages/kde-multimedia.scm b/gnu/packages/kde-multimedia.scm
index e7a2b943e0..4638298939 100644
--- a/gnu/packages/kde-multimedia.scm
+++ b/gnu/packages/kde-multimedia.scm
@@ -421,7 +421,6 @@ (define-public k3b
            libvorbis
            oxygen-icons ; default icon set
            qtbase-5
-           qtwebkit
            shared-mime-info
            solid
            sox
diff --git a/gnu/packages/kde-pim.scm b/gnu/packages/kde-pim.scm
index b17b18bd12..40abfdd899 100644
--- a/gnu/packages/kde-pim.scm
+++ b/gnu/packages/kde-pim.scm
@@ -1325,7 +1325,6 @@ (define-public kmessagelib
            qtdeclarative
            qtwebchannel
            qtwebengine
-           qtwebkit
            sonnet))
     (arguments
      `(#:tests? #f     ;TODO many test fail for quite different reasons
diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
index 5621d8ea35..1eaff4f69b 100644
--- a/gnu/packages/kde-plasma.scm
+++ b/gnu/packages/kde-plasma.scm
@@ -251,7 +251,6 @@ (define-public libksysguard
        ("qtbase" ,qtbase-5)
        ("qtdeclarative" ,qtdeclarative)
        ("qtscript" ,qtscript)
-       ("qtwebkit" ,qtwebkit)
        ("qtx11extras" ,qtx11extras)
        ("plasma" ,plasma-framework)
        ("zlib" ,zlib)))
diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 8dfcba1388..a8b584d8ec 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -264,7 +264,6 @@ (define-public kdenlive
              qtquickcontrols2
              qtscript
              qtsvg
-             qtwebkit
              shared-mime-info))
       (arguments
        ;; XXX: there is a single test that spawns other tests and
@@ -343,7 +342,6 @@ (define-public kdevelop
        ("qtdeclarative" ,qtdeclarative)
        ("qtquickcontrols" ,qtquickcontrols)  ;; not checked as requirement
        ("qtquickcontrols2" ,qtquickcontrols2)  ;; not checked as requirement
-       ("qtwebkit" ,qtwebkit)
        ("threadweaver" ,threadweaver)
 
        ;; recommendes
diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 2fe0d35a10..56f8fbd905 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -227,7 +227,6 @@ (define-public psi
        ("qtbase" ,qtbase-5)
        ("qtmultimedia" ,qtmultimedia)
        ("qtsvg" ,qtsvg)
-       ("qtwebkit" ,qtwebkit)
        ("qtx11extras" ,qtx11extras)
        ("x11" ,libx11)
        ("xext" ,libxext)
diff --git a/gnu/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch b/gnu/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch
deleted file mode 100644
index ddaf8e2849..0000000000
--- a/gnu/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-Fix build with Bison 3.7
-
-https://bugs.gentoo.org/736499
-
-Patch copied from upstream source repository:
-
-https://github.com/qtwebkit/qtwebkit/commit/d92b11fea65364fefa700249bd3340e0cd4c5b31
-
-From d92b11fea65364fefa700249bd3340e0cd4c5b31 Mon Sep 17 00:00:00 2001
-From: Dmitry Shachnev <mitya57@HIDDEN>
-Date: Tue, 4 Aug 2020 21:04:06 +0300
-Subject: [PATCH] Let Bison generate the header directly, to fix build with
- Bison 3.7
-
-Starting with Bison 3.7, the generated C++ file #include's the header
-by default, instead of duplicating it. So we should not delete it.
-
-Remove the code to add #ifdef guards to the header, since Bison adds
-them itself since version 2.6.3.
----
- Source/WebCore/css/makegrammar.pl | 21 +--------------------
- 1 file changed, 1 insertion(+), 20 deletions(-)
-
-diff --git a/Source/WebCore/css/makegrammar.pl b/Source/WebCore/css/makegrammar.pl
-index 5d63b08102eb5..9435701c70612 100644
---- a/Source/WebCore/css/makegrammar.pl
-+++ b/Source/WebCore/css/makegrammar.pl
-@@ -73,25 +73,6 @@
- }
- 
- my $fileBase = File::Spec->join($outputDir, $filename);
--my @bisonCommand = ($bison, "-d", "-p", $symbolsPrefix, $grammarFilePath, "-o", "$fileBase.cpp");
-+my @bisonCommand = ($bison, "--defines=$fileBase.h", "-p", $symbolsPrefix, $grammarFilePath, "-o", "$fileBase.cpp");
- push @bisonCommand, "--no-lines" if $^O eq "MSWin32"; # Work around bug in bison >= 3.0 on Windows where it puts backslashes into #line directives.
- system(@bisonCommand) == 0 or die;
--
--open HEADER, ">$fileBase.h" or die;
--print HEADER << "EOF";
--#ifndef CSSGRAMMAR_H
--#define CSSGRAMMAR_H
--EOF
--
--open HPP, "<$fileBase.cpp.h" or open HPP, "<$fileBase.hpp" or die;
--while (<HPP>) {
--    print HEADER;
--}
--close HPP;
--
--print HEADER "#endif\n";
--close HEADER;
--
--unlink("$fileBase.cpp.h");
--unlink("$fileBase.hpp");
--
diff --git a/gnu/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch b/gnu/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch
deleted file mode 100644
index 63840f4bbc..0000000000
--- a/gnu/packages/patches/qtwebkit-fix-building-with-glib-2.68.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-Fix building with glib 2.68:
-
-https://github.com/qtwebkit/qtwebkit/issues/1057
-
-Patch copied from upstream pull request:
-
-https://github.com/qtwebkit/qtwebkit/pull/1058/commits/5b698ba3faffd4e198a45be9fe74f53307395e4b
-
-diff -aurN qtwebkit-5.212.0-alpha4/Source/WTF/wtf/glib/GRefPtr.h qtwebkit-5.212.0-alpha4-mod/Source/WTF/wtf/glib/GRefPtr.h
---- qtwebkit-5.212.0-alpha4/Source/WTF/wtf/glib/GRefPtr.h	2020-03-04 18:16:37.000000000 +0100
-+++ qtwebkit-5.212.0-alpha4-mod/Source/WTF/wtf/glib/GRefPtr.h	2021-04-05 06:58:44.763328636 +0200
-@@ -29,9 +29,6 @@
- #include <wtf/RefPtr.h>
- #include <algorithm>
- 
--extern "C" void g_object_unref(gpointer);
--extern "C" gpointer g_object_ref_sink(gpointer);
--
- namespace WTF {
- 
- enum GRefPtrAdoptType { GRefPtrAdopt };
diff --git a/gnu/packages/patches/qtwebkit-fix-building-with-icu-68.patch b/gnu/packages/patches/qtwebkit-fix-building-with-icu-68.patch
deleted file mode 100644
index acbfc4c4c8..0000000000
--- a/gnu/packages/patches/qtwebkit-fix-building-with-icu-68.patch
+++ /dev/null
@@ -1,152 +0,0 @@
-Fix building with ICU > 68.
-
-https://bugs.gentoo.org/753260
-
-Patch adapted from Gentoo:
-
-https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=335f29d266c5b169ff1e781f9851a3a203f3198c
-
-From 335f29d266c5b169ff1e781f9851a3a203f3198c Mon Sep 17 00:00:00 2001
-From: Andreas Sturmlechner <asturm@HIDDEN>
-Date: Fri, 6 Nov 2020 09:22:15 +0100
-Subject: dev-qt/qtwebkit: Fix build with ICU-68
-
-Thanks-to: Lars Wendler <polynomial-c@HIDDEN>
-Closes: https://bugs.gentoo.org/753260
-Package-Manager: Portage-3.0.9, Repoman-3.0.2
-Signed-off-by: Andreas Sturmlechner <asturm@HIDDEN>
----
- .../qtwebkit-5.212.0_pre20200309-icu-68.patch      | 120 +++++++++++++++++++++
- 1 file changed, 120 insertions(+)
- create mode 100644 dev-qt/qtwebkit/files/qtwebkit-5.212.0_pre20200309-icu-68.patch
-
-(limited to 'dev-qt/qtwebkit/files/qtwebkit-5.212.0_pre20200309-icu-68.patch')
-
-diff --git a/Source/WebCore/platform/text/TextCodecICU.cpp b/Source/WebCore/platform/text/TextCodecICU.cpp
-index dd6ff06..e0f4bd7 100644
---- a/Source/WebCore/platform/text/TextCodecICU.cpp
-+++ b/Source/WebCore/platform/text/TextCodecICU.cpp
-@@ -308,7 +308,7 @@ void TextCodecICU::createICUConverter() const
-     m_converterICU = ucnv_open(m_canonicalConverterName, &err);
-     ASSERT(U_SUCCESS(err));
-     if (m_converterICU)
--        ucnv_setFallback(m_converterICU, TRUE);
-+        ucnv_setFallback(m_converterICU, true);
- }
- 
- int TextCodecICU::decodeToBuffer(UChar* target, UChar* targetLimit, const char*& source, const char* sourceLimit, int32_t* offsets, bool flush, UErrorCode& err)
-diff --git a/Source/WebCore/platform/text/icu/UTextProvider.h b/Source/WebCore/platform/text/icu/UTextProvider.h
-index c254fc4..6d1e1cb 100644
---- a/Source/WebCore/platform/text/icu/UTextProvider.h
-+++ b/Source/WebCore/platform/text/icu/UTextProvider.h
-@@ -80,12 +80,12 @@ inline bool uTextAccessInChunkOrOutOfRange(UText* text, int64_t nativeIndex, int
-             // Ensure chunk offset is well formed if computed offset exceeds int32_t range.
-             ASSERT(offset < std::numeric_limits<int32_t>::max());
-             text->chunkOffset = offset < std::numeric_limits<int32_t>::max() ? static_cast<int32_t>(offset) : 0;
--            isAccessible = TRUE;
-+            isAccessible = true;
-             return true;
-         }
-         if (nativeIndex >= nativeLength && text->chunkNativeLimit == nativeLength) {
-             text->chunkOffset = text->chunkLength;
--            isAccessible = FALSE;
-+            isAccessible = false;
-             return true;
-         }
-     } else {
-@@ -94,12 +94,12 @@ inline bool uTextAccessInChunkOrOutOfRange(UText* text, int64_t nativeIndex, int
-             // Ensure chunk offset is well formed if computed offset exceeds int32_t range.
-             ASSERT(offset < std::numeric_limits<int32_t>::max());
-             text->chunkOffset = offset < std::numeric_limits<int32_t>::max() ? static_cast<int32_t>(offset) : 0;
--            isAccessible = TRUE;
-+            isAccessible = true;
-             return true;
-         }
-         if (nativeIndex <= 0 && !text->chunkNativeStart) {
-             text->chunkOffset = 0;
--            isAccessible = FALSE;
-+            isAccessible = false;
-             return true;
-         }
-     }
-diff --git a/Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp b/Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp
-index cd6852c..6a864b1 100644
---- a/Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp
-+++ b/Source/WebCore/platform/text/icu/UTextProviderLatin1.cpp
-@@ -100,23 +100,23 @@ static UBool uTextLatin1Access(UText* uText, int64_t index, UBool forward)
-         if (index < uText->chunkNativeLimit && index >= uText->chunkNativeStart) {
-             // Already inside the buffer. Set the new offset.
-             uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
--            return TRUE;
-+            return true;
-         }
-         if (index >= length && uText->chunkNativeLimit == length) {
-             // Off the end of the buffer, but we can't get it.
-             uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
--            return FALSE;
-+            return false;
-         }
-     } else {
-         if (index <= uText->chunkNativeLimit && index > uText->chunkNativeStart) {
-             // Already inside the buffer. Set the new offset.
-             uText->chunkOffset = static_cast<int32_t>(index - uText->chunkNativeStart);
--            return TRUE;
-+            return true;
-         }
-         if (!index && !uText->chunkNativeStart) {
-             // Already at the beginning; can't go any farther.
-             uText->chunkOffset = 0;
--            return FALSE;
-+            return false;
-         }
-     }
-     
-@@ -144,7 +144,7 @@ static UBool uTextLatin1Access(UText* uText, int64_t index, UBool forward)
- 
-     uText->nativeIndexingLimit = uText->chunkLength;
- 
--    return TRUE;
-+    return true;
- }
- 
- static int32_t uTextLatin1Extract(UText* uText, int64_t start, int64_t limit, UChar* dest, int32_t destCapacity, UErrorCode* status)
-@@ -336,7 +336,7 @@ static int64_t uTextLatin1ContextAwareNativeLength(UText* text)
- static UBool uTextLatin1ContextAwareAccess(UText* text, int64_t nativeIndex, UBool forward)
- {
-     if (!text->context)
--        return FALSE;
-+        return false;
-     int64_t nativeLength = uTextLatin1ContextAwareNativeLength(text);
-     UBool isAccessible;
-     if (uTextAccessInChunkOrOutOfRange(text, nativeIndex, nativeLength, forward, isAccessible))
-@@ -356,7 +356,7 @@ static UBool uTextLatin1ContextAwareAccess(UText* text, int64_t nativeIndex, UBo
-         ASSERT(newContext == UTextProviderContext::PriorContext);
-         textLatin1ContextAwareSwitchToPriorContext(text, nativeIndex, nativeLength, forward);
-     }
--    return TRUE;
-+    return true;
- }
- 
- static int32_t uTextLatin1ContextAwareExtract(UText*, int64_t, int64_t, UChar*, int32_t, UErrorCode* errorCode)
-diff --git a/Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp b/Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp
-index 7aaac48..9ae0d36 100644
---- a/Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp
-+++ b/Source/WebCore/platform/text/icu/UTextProviderUTF16.cpp
-@@ -125,7 +125,7 @@ static inline int64_t uTextUTF16ContextAwareNativeLength(UText* text)
- static UBool uTextUTF16ContextAwareAccess(UText* text, int64_t nativeIndex, UBool forward)
- {
-     if (!text->context)
--        return FALSE;
-+        return false;
-     int64_t nativeLength = uTextUTF16ContextAwareNativeLength(text);
-     UBool isAccessible;
-     if (uTextAccessInChunkOrOutOfRange(text, nativeIndex, nativeLength, forward, isAccessible))
-@@ -145,7 +145,7 @@ static UBool uTextUTF16ContextAwareAccess(UText* text, int64_t nativeIndex, UBoo
-         ASSERT(newContext == UTextProviderContext::PriorContext);
-         textUTF16ContextAwareSwitchToPriorContext(text, nativeIndex, nativeLength, forward);
-     }
--    return TRUE;
-+    return true;
- }
- 
- static int32_t uTextUTF16ContextAwareExtract(UText*, int64_t, int64_t, UChar*, int32_t, UErrorCode* errorCode)
diff --git a/gnu/packages/patches/qtwebkit-fix-building-with-python-3.9.patch b/gnu/packages/patches/qtwebkit-fix-building-with-python-3.9.patch
deleted file mode 100644
index 9f9674de33..0000000000
--- a/gnu/packages/patches/qtwebkit-fix-building-with-python-3.9.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-Fix building with Python 3.9:
-
-https://github.com/qtwebkit/qtwebkit/issues/993
-
-Patch copied from upstream source repository:
-
-https://github.com/qtwebkit/qtwebkit/commit/78360c01c796b6260bf828bc9c8a0ef73c5132fd
-
-From 78360c01c796b6260bf828bc9c8a0ef73c5132fd Mon Sep 17 00:00:00 2001
-From: Konstantin Tokarev <annulen@HIDDEN>
-Date: Wed, 3 Jun 2020 15:01:42 +0300
-Subject: [PATCH] Fix compilation with Python 3.9: avoid passing encoding to
- json.load()
-
-In Python 2.7 UTF-8 is assumed by default, while in Python 3 this argument
-is not supported.
-
-Change-Id: Ic459d60a6b20bc1838d8771bc36ac41614fe61a9
----
- Source/JavaScriptCore/generate-bytecode-files | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/Source/JavaScriptCore/generate-bytecode-files b/Source/JavaScriptCore/generate-bytecode-files
-index c5dab429c7b0f..af3431275ecf9 100644
---- a/Source/JavaScriptCore/generate-bytecode-files
-+++ b/Source/JavaScriptCore/generate-bytecode-files
-@@ -163,7 +163,7 @@ if __name__ == "__main__":
-         initBytecodesFile = openOrExit(initASMFileName, "w")
- 
-     try:
--        bytecodeSections = json.load(bytecodeFile, encoding = "utf-8")
-+        bytecodeSections = json.load(bytecodeFile)
-     except:
-         print("Unexpected error parsing {0}: {1}".format(bytecodeJSONFile, sys.exc_info()))
- 
diff --git a/gnu/packages/patches/qtwebkit-pbutils-include.patch b/gnu/packages/patches/qtwebkit-pbutils-include.patch
deleted file mode 100644
index 57961e7a51..0000000000
--- a/gnu/packages/patches/qtwebkit-pbutils-include.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-Patch taken from Nix:
-   https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/libraries/qt-5/5.11/qtwebkit.patch
-
-diff --git a/Source/WebKit2/PlatformQt.cmake b/Source/WebKit2/PlatformQt.cmake
---- a/Source/WebKit2/PlatformQt.cmake
-+++ b/Source/WebKit2/PlatformQt.cmake
-@@ -261,6 +261,7 @@
- list(APPEND WebKit2_SYSTEM_INCLUDE_DIRECTORIES
-     ${GLIB_INCLUDE_DIRS}
-     ${GSTREAMER_INCLUDE_DIRS}
-+    ${GSTREAMER_PBUTILS_INCLUDE_DIRS}
-     ${Qt5Quick_INCLUDE_DIRS}
-     ${Qt5Quick_PRIVATE_INCLUDE_DIRS}
-     ${SQLITE_INCLUDE_DIR}
-
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 01bf961bbf..3550259772 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2073,7 +2073,6 @@ (define-public python-pyqt
        ("qtsvg" ,qtsvg)
        ("qttools" ,qttools)
        ("qtwebchannel" ,qtwebchannel)
-       ("qtwebkit" ,qtwebkit)
        ("qtwebsockets" ,qtwebsockets)
        ("qtx11extras" ,qtx11extras)
        ("qtxmlpatterns" ,qtxmlpatterns)))
@@ -2231,15 +2230,6 @@ (define-public python-pyqtwebengine
 itself.")
     (license license:gpl3)))
 
-;; XXX: This is useful because qtwebkit does not build reliably at this time.
-;; Ultimately, it would be nicer to have a more modular set of python-pyqt-*
-;; packages that could be used together.
-(define-public python-pyqt-without-qtwebkit
-  (package/inherit python-pyqt
-    (name "python-pyqt-without-qtwebkit")
-    (inputs
-     (alist-delete "qtwebkit" (package-inputs python-pyqt)))))
-
 (define-public python-pyqt-builder
   (package
    (name "python-pyqt-builder")
@@ -2609,89 +2599,6 @@ (define-public qwt
     ;; textengines/mathml/qwt_mml_document.{cpp,h} is dual LGPL2.1/GPL3 (either).
     license:lgpl2.1 license:gpl3))))
 
-(define-public qtwebkit
-  (package
-    (name "qtwebkit")
-    (version "5.212.0-alpha4")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (string-append "https://github.com/annulen/webkit/releases/download/"
-                            "qtwebkit-" version "/qtwebkit-" version ".tar.xz"))
-        (sha256
-         (base32
-          "1rm9sjkabxna67dl7myx9d9vpdyfxfdhrk9w7b94srkkjbd2d8cw"))
-        (patches (search-patches "qtwebkit-pbutils-include.patch"
-                                 "qtwebkit-fix-building-with-bison-3.7.patch"
-                                 "qtwebkit-fix-building-with-glib-2.68.patch"
-                                 "qtwebkit-fix-building-with-icu-68.patch"
-                                 "qtwebkit-fix-building-with-python-3.9.patch"))))
-    (build-system cmake-build-system)
-    (native-inputs
-     (list perl
-           python
-           ruby
-           bison
-           flex
-           gperf
-           pkg-config))
-    (inputs
-     `(("icu" ,icu4c)
-       ("glib" ,glib)
-       ("gst-plugins-base" ,gst-plugins-base)
-       ("libjpeg" ,libjpeg-turbo)
-       ("libpng" ,libpng)
-       ("libwebp" ,libwebp)
-       ("sqlite" ,sqlite)
-       ("fontconfig" ,fontconfig)
-       ("libxrender" ,libxrender)
-       ("qtbase" ,qtbase-5)
-       ("qtdeclarative" ,qtdeclarative)
-       ("qtlocation" ,qtlocation)
-       ("qtmultimedia" ,qtmultimedia)
-       ("qtsensors" ,qtsensors)
-       ("qtwebchannel" ,qtwebchannel)
-       ("libxml2" ,libxml2)
-       ("libxslt" ,libxslt)
-       ("libx11" ,libx11)
-       ("libxcomposite" ,libxcomposite)))
-    (arguments
-     `(#:tests? #f ; no apparent tests; it might be necessary to set
-                   ; ENABLE_API_TESTS, see CMakeLists.txt
-
-       ;; Parallel builds fail due to a race condition:
-       ;; <https://bugs.gnu.org/34062>.
-       #:parallel-build? #f
-
-       #:configure-flags (list ;"-DENABLE_API_TESTS=TRUE"
-                               "-DPORT=Qt"
-                               "-DUSE_LIBHYPHEN=OFF"
-                               "-DUSE_SYSTEM_MALLOC=ON"
-                               ;; XXX: relative dir installs to build dir?
-                               (string-append "-DECM_MKSPECS_INSTALL_DIR="
-                                              %output "/lib/qt5/mkspecs/modules")
-                               ;; Sacrifice a little speed in order to link
-                               ;; libraries and test executables in a
-                               ;; reasonable amount of memory.
-                               "-DCMAKE_SHARED_LINKER_FLAGS=-Wl,--no-keep-memory"
-                               "-DCMAKE_EXE_LINKER_FLAGS=-Wl,--no-keep-memory")))
-    (home-page "https://www.webkit.org")
-    (synopsis "Web browser engine and classes to render and interact with web
-content")
-    (description "QtWebKit provides a Web browser engine that makes it easy to
-embed content from the World Wide Web into your Qt application.  At the same
-time Web content can be enhanced with native controls.")
-    ;; Building QtWebKit takes around 13 hours on an AArch64 machine.  Give some
-    ;; room for slower or busy hardware.
-    (properties '((timeout . 64800)))   ;18 hours
-
-    ;; XXX: This consumes too much RAM to successfully build on AArch64 (e.g.,
-    ;; SoftIron OverDrive with 8 GiB of RAM), so instead of wasting resources,
-    ;; disable it on non-Intel platforms.
-    (supported-systems '("x86_64-linux" "i686-linux"))
-
-    (license license:lgpl2.1+)))
-
 (define-public dotherside
   (package
     (name "dotherside")
diff --git a/gnu/packages/radio.scm b/gnu/packages/radio.scm
index b40332aee8..c2039a2411 100644
--- a/gnu/packages/radio.scm
+++ b/gnu/packages/radio.scm
@@ -523,7 +523,6 @@ (define-public gnuradio
        ("python-numpy" ,python-numpy)
        ("python-pycairo" ,python-pycairo)
        ("python-pygobject" ,python-pygobject)
-       ("python-pyqt" ,python-pyqt-without-qtwebkit)
        ("python-pyqtgraph" ,python-pyqtgraph)
        ("python-pyyaml" ,python-pyyaml)
        ("qtbase" ,qtbase-5)
@@ -1647,7 +1646,6 @@ (define-public dream
            pulseaudio
            qtbase-5
            qtsvg
-           qtwebkit
            qwt
            speexdsp
            zlib))
diff --git a/gnu/packages/robotics.scm b/gnu/packages/robotics.scm
index a110d0e6bd..4f45ca5d5c 100644
--- a/gnu/packages/robotics.scm
+++ b/gnu/packages/robotics.scm
@@ -109,7 +109,6 @@ (define-public aseba
              qtbase-5
              qtsvg
              qttools ;for libQt5Help, needed by "studio"
-             qtwebkit
              qtx11extras
              eudev
              libxml2
diff --git a/gnu/packages/sync.scm b/gnu/packages/sync.scm
index 165be17e4c..ea30fe5b42 100644
--- a/gnu/packages/sync.scm
+++ b/gnu/packages/sync.scm
@@ -199,7 +199,6 @@ (define-public nextcloud-client
            qtsvg
            qtwebchannel
            qtwebsockets
-           qtwebkit
            sqlite
            xdg-utils
            zlib))
@@ -394,7 +393,7 @@ (define-public qsyncthingtray
                #t))))
        #:tests? #f)) ; no test target
     (inputs
-     (list qtbase-5 qtwebkit))
+     (list qtbase-5))
     (home-page "https://github.com/sieren/QSyncthingTray")
     (synopsis "Traybar Application for Syncthing")
     (description
diff --git a/gnu/packages/syndication.scm b/gnu/packages/syndication.scm
index 6d4a61efbd..d344449d00 100644
--- a/gnu/packages/syndication.scm
+++ b/gnu/packages/syndication.scm
@@ -553,7 +553,7 @@ (define-public quiterss
     (native-inputs
      (list pkg-config qttools))
     (inputs
-     (list qtwebkit qtbase-5 qtmultimedia phonon sqlite))
+     (list qtbase-5 qtmultimedia phonon sqlite))
     (home-page "https://quiterss.org/")
     (synopsis "RSS/Atom news feeds reader written on Qt/C++")
     (description "QuiteRSS is an RSS/Atom news feeds reader written on Qt/C++
diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 6601a49c59..2298f000eb 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -7281,7 +7281,7 @@ (define-public texmaker
                        (string-append "METAINFODIR=" out "/share/metainfo")
                        "texmaker.pro")))))))
     (inputs
-     (list poppler-qt5 qtbase-5 qtscript qtwebkit zlib))
+     (list poppler-qt5 qtbase-5 qtscript zlib))
     (native-inputs
      (list pkg-config))
     (home-page "http://www.xm1math.net/texmaker/")
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index a9996e477e..0b83bda5a1 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -4880,7 +4880,6 @@ (define-public shotcut
            qtquickcontrols
            qtquickcontrols2
            qtsvg
-           qtwebkit
            qtwebsockets
            qtx11extras
            sdl2))
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jan 2022 19:34:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:34:46 2022
Received: from localhost ([127.0.0.1]:41872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8op3-0007uA-MY
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:34:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:54450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n8op1-0007u2-6w
 for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:34:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42100)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n8op0-0007GW-Ap
 for bug-guix@HIDDEN; Sat, 15 Jan 2022 14:34:42 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:44253)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n8oow-0006g9-8q
 for bug-guix@HIDDEN; Sat, 15 Jan 2022 14:34:40 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id C055C5C00DE;
 Sat, 15 Jan 2022 14:34:26 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Sat, 15 Jan 2022 14:34:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:subject:message-id:mime-version:content-type; s=
 mesmtp; bh=slV7beguZ671vdsQFgyMJqnZvDFxXE9c4BwCjSJ/Ij0=; b=fzOYU
 e+7h3DoXbebZmticVvzMlYkM4viVpNP1AmY8Ri6YMh4L07jwyDODQVXf7MV3a1Yu
 U8cjDA1shx3I9QRdKbsPLxBbWd5LayO9e4tKQNRMlSiloXrauY5NkHW3TtPQyekh
 Kca8cu/KRNSQSsUPeSbKroF8tKpTlt+SxRzaU0=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=slV7beguZ671vdsQFgyMJqnZvDFxX
 E9c4BwCjSJ/Ij0=; b=Q+Jd2rIN2t+2hF32D8taJ6k83mvwIMrwObmJUsYrfKUt8
 HB9kinRU5MTYlio5oPaKSfHpVnB8z0mEYVon8Ctsuu1OHtInkfeyN8gsM8ZOR+/t
 xAgMu1PIvwEgPmYgcDtqgy9wH8L7VS6DCP25lQGybuhtqATpjUa3f5pRq/umob0V
 TDKzR4Ay8x1Tj04AZvHGIS52oWfRDLDNaLk/ZHgkEYio+lWrB2nDsBuB4RHxV9QW
 wVQDYSKr0sjYv+L5S8aN4aCMOY8+FAuuqxlpppJPOTs670AOYpmQFCb7vftoRCqt
 KmCWH0Qmn9n6qCMZEyvgjq6fkjZmJJ8ZHLE6yw3vQ==
X-ME-Sender: <xms:wiHjYcb7rOvKFH5RP56JEX7XGZHmkSRpLjAC7ylFuXVDTmR5HZ0s5w>
 <xme:wiHjYXYzWdmXFZcombE8eobl4yyk3W0YjU-MGqAjCeeOZG99Ho2ecFfPo9XtHAKLE
 uw7fiD7ZATpGOYGyA>
X-ME-Received: <xmr:wiHjYW9FX2ufCztGbPSRUXgaJe1mZYyLE3chq2VkBf5f81luvhEUFulrxKsH5huMQxJw07cRSFBhT_QCKITjoQC8-g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdejgdduvdeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkgggtugesthdtredttd
 dtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhi
 rdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekgfegueffvdegfeejiedvvefhveelhf
 euffeiieefteeivdduieefhfettdeknecuffhomhgrihhnpehsvggtlhhishhtshdrohhr
 ghenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:wiHjYWq2KdlKPNJvSgM0h0VBJ4ulM5vEtyUnRza58503hyKHzv_ELw>
 <xmx:wiHjYXqroUJAK_d9GoGi-kTPzG5fyaSlvwbxSrMExkmXufG5UPG26w>
 <xmx:wiHjYUQ7RAD-4OyHGYsPqTxqhPpag3X9iL54ERqwuhkR8NywNYFA9Q>
 <xmx:wiHjYREfSJU85slHCXmLVwcBwBUj_CvjG5OVBHDnD6tbPxT6IriMbQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <bug-guix@HIDDEN>; Sat, 15 Jan 2022 14:34:26 -0500 (EST)
Date: Sat, 15 Jan 2022 14:34:24 -0500
From: Leo Famulari <leo@HIDDEN>
To: bug-guix@HIDDEN
Subject: Removing QtWebKit
Message-ID: <YeMhwEDXzccaSI+a@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: pass client-ip=66.111.4.25; envelope-from=leo@HIDDEN;
 helo=out1-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

We need to remove QtWebKit from the distro.

The upstream project says this when you go to their download page:

------
WARNING: This release is based on old WebKit revision with known
unpatched vulnerabilities. Please use it carefully and avoid visiting
untrusted websites and using it for transmission of sensitive data.
Please wait for new release from qtwebkit-dev branch to use it with
untrusted content.
------

And a bit of discussion from the oss-sec mailing list [0], quoting here:

------
QtWebKit was a rendering engine for web content released with Qt until
5.6. It was replaced with QtWebEngine after that.

Despite a community fork in 2016, nothing really happened to keep it
alive and secure.
------

And:

------
Readers of this list will likely be familiar with the regular postings
regarding WebKitGTK vulnerabilities: many of them are likely applicable
to QtWebKit too, especially the WebKitGTK-based fork
------

So, the dozens (hundreds?) of notable security bugs fixed in WebKitGTK
are totally unfixed in QtWebKit. Many of these bugs are considered
"arbitrary code execution" bugs.

And the broader context is that there won't be a future for this
package, as Qt has abandoned WebKit in favor of Chromium. This package
will not improve.

If people want to keep using QtWebKit, they can maintain it in a
channel.

[0] https://seclists.org/oss-sec/2021/q3/66




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#53289; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 30 Jan 2022 00:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.